// *F* Developed 2013 rejecht <rejecht at outlook dot com>

class LocalMessage_PlayerEvent extends LocalMessage
	abstract
	;

// - Entry for player events such as died, out, froze, respawned.
// - Branches message to teammate or enemy status local message
// classes based on the local player.
// - Does no drawing.

const IndexTeam_Max = 2;
const IndexTeam_A = 0;
const IndexTeam_B = 1;
const IndexTeam_Unspecified = 255;

// #Dispatch

static event ClientReceive
(
	PlayerController PC,
	optional int IndexSymbol,
	optional PlayerReplicationInfo RelatedPRI_1_Subject,
	optional PlayerReplicationInfo RelatedPRI_2,
	optional Object O
)
{
	if
	(
		(RelatedPRI_1_Subject != None)
		&&
		(RelatedPRI_1_Subject.Team != None)
		&&
		(PC.PlayerReplicationInfo != None)
	)
	{
		if (PC.PlayerReplicationInfo.bOnlySpectator)
		{
			if (RelatedPRI_1_Subject.Team.TeamIndex == IndexTeam_A)
			{
				Class'LocalMessage_PlayerStatusTeammate'.Static.ClientReceive (PC, IndexSymbol, RelatedPRI_1_Subject, RelatedPRI_2, O);
            }
            else
            {
				Class'LocalMessage_PlayerStatusEnemy'.Static.ClientReceive (PC, IndexSymbol, RelatedPRI_1_Subject, RelatedPRI_2, O);
            }
        }
		else if (PC.PlayerReplicationInfo.Team == RelatedPRI_1_Subject.Team)
		{
			Class'LocalMessage_PlayerStatusTeammate'.Static.ClientReceive (PC, IndexSymbol, RelatedPRI_1_Subject, RelatedPRI_2, O);
        }
        else
        {
			Class'LocalMessage_PlayerStatusEnemy'.Static.ClientReceive (PC, IndexSymbol, RelatedPRI_1_Subject, RelatedPRI_2, O);
        }
    }
}

// #

DefaultProperties
{
}
