// *F* Developed 2013-2014 rejecht <rejecht at outlook dot com>

class LocalMessage_ThawedBy extends LocalMessage
	abstract
	HideDropdown
	;

var(ConstantStrings) private localized const string
	YouWereThawedByStringPrefix,
	YouWereThawedByStringSuffix,
	YouWereThawedByTeammatesParsedString
	;

// #Queries

static event string GetString
(
	optional int Thawers,
	optional PlayerReplicationInfo RelatedPRI_1_Subject,
	optional PlayerReplicationInfo RelatedPRI_2,
	optional Object O
)
{
	if (Thawers > 0)
	{
		return
		(
			Repl
			(
				Default.YouWereThawedByTeammatesParsedString,
				"%N%",
				string(Thawers),
				False
			)
		);
	}
	else if (Thawers == 0)
	{
		return
		(
			Default.YouWereThawedByStringPrefix
			$ Class'ReUtility'.Static.GetPlayerNameString (RelatedPRI_1_Subject)
			$ Default.YouWereThawedByStringSuffix
		);
    }
    else
    {
		return
		(
			Default.YouWereThawedByStringPrefix
			$ Class'ReUtility'.Static.GetPlayerNameString (RelatedPRI_1_Subject)
			$ Default.YouWereThawedByStringSuffix
		);
    }
}

// #

DefaultProperties
{
	YouWereThawedByStringPrefix = "YOU WERE THAWED BY "
	YouWereThawedByTeammatesParsedString = "YOU WERE THAWED BY %N% TEAMMATES"

	// LocalMessage

	bFadeMessage = True
	bIsConsoleMessage = False
	bIsUnique = True
	bIsPartiallyUnique = False

	DrawColor = (R=170,G=180,B=210,A=255)
	Lifetime = 2
	PosX = 0.5
	PosY = 0.7
	StackMode = SM_Down
}
