// Developed 2013 rejecht <rejecht at outlook dot com>

class LocalMessage_BlewAdrenaline extends LocalMessage
	abstract
	;

var private localized const string
	FemaleBlewAdrenalineString,
	MaleBlewAdrenalineString
	;

// #Queries

static event string GetString
(
	optional int Context,
	optional PlayerReplicationInfo RelatedPRI_1_Subject,
	optional PlayerReplicationInfo RelatedPRI_2,
	optional Object O
)
{
	local string Text_Cached;
	local Class<Combo> ComboClass;

	ComboClass = Class<Combo>(O);

	if
	(
		(ComboClass != None)
		&&
		(ComboClass.Default.ExecMessage != "")
		&&
		(RelatedPRI_1_Subject != None)
	)
	{
		if (RelatedPRI_1_Subject.bIsFemale)
		{
			Text_Cached
			=
			Repl
			(
				Default.FemaleBlewAdrenalineString,
				"%o",
				Class'ReUtility'.Static.GetPlayerNameString (RelatedPRI_1_Subject),
				False
			);

			return
			(
				Repl
				(
					Text_Cached,
					"%c",
					ComboClass.Default.ExecMessage,
					False
				)
			);
        }
        else
        {
			Text_Cached
			=
			Repl
			(
				Default.MaleBlewAdrenalineString,
				"%o",
				Class'ReUtility'.Static.GetPlayerNameString (RelatedPRI_1_Subject),
				False
			);

			return
			(
				Repl
				(
					Text_Cached,
					"%c",
					ComboClass.Default.ExecMessage,
					False
				)
			);
        }
	}
	else
	{
		return "";
	}
}

// #

DefaultProperties
{
	FemaleBlewAdrenalineString ="%o blew her %c combo"
	MaleBlewAdrenalineString = "%o blew his %c combo"

	// LocalMessage

	bBeep = False
	bIsConsoleMessage = True
	bIsSpecial = False // HUD.AddTextMessage ()

	DrawColor = (R=255,G=255,B=255,A=255)
}
